<?php

    //  Authenticates your application with the STREAM API and returns a response
    //  to indicate whether or not you are authenticated or not
    
    //  Include the user account, namespace and wsdl details
    include ("config.php");

    //  Authentication for the TranslateMedia STREAM service requires that we pass the
    //  userid and API key to the API in a SOAP header. Start by setting the
    //  details - again, userid and ApiKey are set in config.php
    $authheaderbody=array('Username'=>$userid, 'ApiKey'=>$apikey);

    //  Now create the header
    $header = new SOAPHeader($namespace, 'AuthenticationHeader', $authheaderbody);  
    
    //  Note that the $client variable is set within the config.php file.
    //  Make the call.  
    $client->__setSoapHeaders($header); 
    $result=$client->Authenticate();

    //  Extract the Authentication Token from the result returned and use it to set up
    //  the header for the call to the HelloWorldWithAuthentication call
    $AuthenticateResult=$result->AuthenticateResult;		
	$header = new SOAPHeader($namespace, 'AuthenticationToken', $AuthenticateResult);      
    
    //  Set up the body of the SOAP call.
	//	Even if there are no parameters, we still pass an empty array
	$body=array( 
        "HelloWorldWithAuthentication" => array( )
    );
	
    //  Make the call.
    $result=$client->__soapCall("HelloWorldWithAuthentication",$body,NULL,$header);    

?>

<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <title>TranslateMedia API</title>
</head>
<body>
    <h1>Authenticated Hello World Test</h1>
    <p>The following response was returned from the API:</p>
    <pre>
    <?php
        var_dump($result);
    ?>
    </pre>
</body>
</html>
