<?php

    //  Authenticates your application with the STREAM API and returns a response
    //  to indicate whether or not you are authenticated or not
    
    //  Include the user account, namespace and wsdl details
    include ("config.php");

    //  Authentication for the TranslateMedia STREAM service requires that we pass the
    //  userid and API key to the API in a SOAP header. Start by setting the
    //  details - again, userid and ApiKey are set in config.php
    $authheaderbody=array('Username'=>$userid, 'ApiKey'=>$apikey);

    //  Now create the header
    $header = new SOAPHeader($namespace, 'AuthenticationHeader', $authheaderbody);  
    
    //  Note that the $client variable is set within the config.php file.
    //  Make the call.  
    $client->__setSoapHeaders($header); 
    $result=$client->Authenticate();
    
    //  Extract the Authentication Token from the result returned and use it to set up
    //  the header for the call to the call
    $AuthenticateResult=$result->AuthenticateResult;		
	$header = new SOAPHeader($namespace, 'AuthenticationToken', $AuthenticateResult);      
 	
    //  Read in the file of interest - you need to set this to suit your own
    //  requirements if you don't want to use the readme file.
    //  NOTE - we use the FULL path to get the contents of the file, but
    //  only send the FILE NAME part up to the API, where it will be used to create
    //  the file.
    $filename="../Documentation/Please read.txt";
    
	//	Generate a byte array from the file.  This requires the full
	//	path and filename to read the data.
	$byteArray=base64_encode(file_get_contents($filename));
    

	//	Now set the body arrays to translate between languages
	//	Note that even with just one target language we still pass an array
	
	$body=array( 
        "GetQuoteForDocument" => array( 
            "idSourceLng"        => "35", 
            "idSpecialism"    => "16",
		    "aidTargetLng" =>array(40),
		    "sFileName" =>"Please read.txt",
            "abyBuffer"=>$byteArray
        ) 
    );
	
	//  Now make the call
    $result=$client->__soapCall("GetQuoteForDocument",$body,NULL, $header);
       
	//	Here you can see what is returned.   
	var_dump($result->GetQuoteForDocumentResult->id);

?>

<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <title>TranslateMedia API</title>
</head>
<body>
    <h1>Get Quote for File</h1>
    <p>The following response was returned from the API.</p>
    <p>The Quote ID can be used to place an order in the system.</p>
    <table>
    <tr>
        <td>ID</td>
        <td>Price</td>
        <td>Type</td>
        <td>Completion Date</td>
        <td>Will take (mins)</td>
        <td>Currency</td>
    </tr>
    <?php
        $quotes=$result->GetQuoteForDocument->m_quotes->SOAPquote;
       
        foreach ($quotes as $quote)
        {
        echo "<tr>";
            echo "<td>" . $quote->idQuote . "</td>";
            echo "<td>" . $quote->dQuotePrice . "</td>";
            echo "<td>" . parseType($quote->byType) . "</td>";
            echo "<td>" . $quote->dtTargetCompletion . "</td>";
            echo "<td>" . $quote->iMinutesElapsed . "</td>";
            echo "<td>" . $quote->sCurrency . "</td>";
        echo "</tr>";
        }
    ?>
    </table>
</body>
</html>
