<?php

    //  Authenticates you with the STREAM API and if you are authenticated
    //  allows you to obtain a quote
    
    //  Include the user account, namespace and wsdl details
    include ("config.php");
    
    //  This function parses the Translation Type parameter 
    //  0 = draft, 1 = premium, 2 = draft express, 3 = premium express
    
    function parseType($tmp)
    {
        if ($tmp==0) return "Draft";
        if ($tmp==1) return "Premium";    
        if ($tmp==2) return "Draft Express";        
        if ($tmp==3) return "Premium Express";        
    
    }
    
    //  Getting a quote from STREAM requires authentication, so we pass the
    //  userid and API key to the API in a SOAP header. Start by setting the
    //  details - again, userid and ApiKey set in config.php
    $authheaderbody=array('Username'=>$userid, 'ApiKey'=>$apikey);

    //  Now create the header
    $header = new SOAPHeader($namespace, 'AuthenticationHeader', $authheaderbody);  
    
    //  Note that the $client variable is set within the config.php file.
    //  Make the call.
    $client->__setSoapHeaders($header); 
    $result=$client->Authenticate();

    //  Extract the Authentication Token from the result returned and use it to set up
    //  the header for the call to the HelloWorldWithAuthentication call
    $AuthenticateResult=$result->AuthenticateResult;		
	$header = new SOAPHeader($namespace, 'AuthenticationToken', $AuthenticateResult);      
 	
	//	Now set the body arrays to translate between languages, and a simple
    //  text example in the sSourceText field. Again, a single target language 
	//	should still be passed as an array.
	
	$body=array( 
        "GetQuoteForPlainText " => array( 
            "idSourceLng"        => "35", 
            "idSpecialism"    => "16",
		    "aidTargetLng" =>array(40),
		    "sSourceText" =>"Now is the time for all good men to come to the aid of their party. This is a random piece of text."
        ) 
    );
	
	//  Now make the call
    $result=$client->__soapCall("GetQuoteForPlainText",$body,NULL, $header);
       

?>

<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <title>TranslateMedia API</title>
</head>
<body>
    <h1>Get Quote for Plain Text</h1>
    <p>The following response was returned from the API.</p>
    <p>The Quote ID can be used to place an order in the system.</p>
    <table>
    <tr>
        <td>ID</td>
        <td>Price</td>
        <td>Type</td>
        <td>Completion Date</td>
        <td>Will take (mins)</td>
        <td>Currency</td>
    </tr>
    <?php
        $quotes=$result->GetQuoteForPlainTextResult->m_quotes->SOAPquote;
       
        foreach ($quotes as $quote)
        {
        echo "<tr>";
            echo "<td>" . $quote->idQuote . "</td>";
            echo "<td>" . $quote->dQuotePrice . "</td>";
            echo "<td>" . parseType($quote->byType) . "</td>";
            echo "<td>" . $quote->dtTargetCompletion . "</td>";
            echo "<td>" . $quote->iMinutesElapsed . "</td>";
            echo "<td>" . $quote->sCurrency . "</td>";
        echo "</tr>";
        }
    ?>
    </table>
</body>
</html>
