<?php


    //  Include the user account, namespace and wsdl details
    include ("config.php");

    //  Now a quick comparison function for the usort() call
    //  that we'll later use to sort the array of data for
    //  use in a dropdown...
    function cmp($a, $b) 
    {
        return strcmp($a[0], $b[0]);
    }
    
    
    //  This call does not require authenticating.
    //  Just set the body up.
	$body=array( 
        "GetSpecialitiesList" => array( )
    );
	
    $result=$client->__soapCall("GetSpecialitiesList",$body);    

    //  Now create a SORTED array for use in a dropdown menu - we get the
    //  data back from the call, and populate an array with it, then
    //  sort the array.
    $sortedList=array();
    foreach($result->GetSpecialitiesListResult->SOAPspeciality as $speciality)
    {
        $item=array($speciality->description,$speciality->specialityID);
        $sortedList[]=$item;
    }
    usort($sortedList,"cmp");
        

?>

<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <title>TranslateMedia API</title>
</head>
<body>
    <h1>Get GetSpecialitiesList List</h1>
    <p>The following response was returned from the API:</p>
    <table>
    <tr>
    <td>Speciality</td>
    <td>ID</td>
   
    </tr>
    <?php
        //  The result object contains a SOAPspeciality object which
        //  is an array of objects detailing each supported language.
        //  Here we iterate the list and simply print out the properties
        foreach($result->GetSpecialitiesListResult->SOAPspeciality as $speciality)
        {
            echo "<tr>";
            echo "<td>" . $speciality->description . "</td>";
            echo "<td>" . $speciality->specialityID . "</td>";               
            echo "</tr>";
        }
    ?>    
    
    
    </table>
    
    <p>We can also use the response to populate a dropdown</p>
    
    <select id="specialities" name="specialities">
    <?php        
        //  Here we use the sorted array set up above
        //  to give us a dropdown in alphabetical order
        foreach($sortedList as $speciality)
        {
            echo '<option value="' . $speciality[1] . '">' . $speciality[0] .'</option>';
        }    
    ?>
    </select>
    
    

</body>
</html>
