<?php

    //  Authenticates your application with the STREAM API and returns a response
    //  to indicate whether or not you are authenticated.
    
    //  Include the user account, namespace and wsdl details
    include ("config.php");

    //  Authentication for the TranslateMedia STREAM service requires that we pass the
    //  userid and API key to the API in a SOAP header. Start by setting the
    //  details - again, userid and ApiKey are set in config.php
    $authheaderbody=array('Username'=>$userid, 'ApiKey'=>$apikey);

    //  Now create the header
    $header = new SOAPHeader($namespace, 'AuthenticationHeader', $authheaderbody);  
    
    //  Note that the $client variable is set within the config.php file.
    //  Make the call.  
    $client->__setSoapHeaders($header); 
    $result=$client->Authenticate();
    
    //  Extract the Authentication Token from the result returned and use it to set up
    //  the header for the call to the HelloWorldWithAuthentication call
    $AuthenticateResult=$result->AuthenticateResult;		
	$header = new SOAPHeader($namespace, 'AuthenticationToken', $AuthenticateResult);      
    
    //  Set up the body
    
   //   The translation id is an integer obtained from the TrackOrder call.
    $translationid=232904;
    
	//	Prepare the body
	$body=array( 
    "RetrieveTranslatedDocument" => array( 
        "idTranslation"        => $translationid
	));
	
	
	//	Make the call
    $result=$client->__soapCall("RetrieveTranslatedDocument",$body,NULL, $header);
    
	//	See the results returned
    var_dump($result);

	
	    

?>

<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <title>TranslateMedia API</title>
</head>
<body>
    <h1>Retrieve document</h1>
    <p>The following response was returned from the API for Translation <?php echo $translationid;?>:</p>
    <p>The original data is in base64 binary format, and can be converted to text for display.</p>
    <p>If the translation is skipped (i.e. you're in sandbox mode) then you will see a message to that effect.</p>


    
    
</body>
</html>
