<?php

    //  Authenticates your application with the STREAM API and returns a response
    //  to indicate whether or not you are authenticated.
    
    //  Include the user account, namespace and wsdl details
    include ("config.php");

    //  Authentication for the TranslateMedia STREAM service requires that we pass the
    //  userid and API key to the API in a SOAP header. Start by setting the
    //  details - again, userid and ApiKey are set in config.php
    $authheaderbody=array('Username'=>$userid, 'ApiKey'=>$apikey);

    //  Now create the header
    $header = new SOAPHeader($namespace, 'AuthenticationHeader', $authheaderbody);  
    
    //  Note that the $client variable is set within the config.php file.
    //  Make the call.  
    $client->__setSoapHeaders($header); 
    $result=$client->Authenticate();
    

    //  Extract the Authentication Token from the result returned and use it to set up
    //  the header for the call to the HelloWorldWithAuthentication call
    $AuthenticateResult=$result->AuthenticateResult;		
	$header = new SOAPHeader($namespace, 'AuthenticationToken', $AuthenticateResult);      
    
    //  Set up the body
    
    //  Note the order ID is a string that may contain characters like $ signs
    //  so if you're entering it as a literal string like below (you'd rarely do this)
    //  you should put it in ' and not ""
    //  In this example we are tracking a SINGLE order.

    //  USE YOUR OWN ORDER ID HERE
    $orderid='92087_TLeiK9kZpyqoVDOaOSbiHg!$£!$£';
    
	
	$body=array( 
    "TrackOrder" => array( 
        "sOrderRef"        => $orderid
	));
	
	
	
	
    $result=$client->__soapCall("TrackOrder",$body,NULL, $header);
    
    //  No check on whether the job is returned successfully applied here
    //  You would use other values returned in the $result variable
    //  to check that the order string passed in is valid.
    //  We're expecting ONE Status in this case, so get it...
	$JobStatus=$result->TrackOrderResult->m_jobsStatus->SOAPjobStatus;
    

	
	    

?>

<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <title>TranslateMedia API</title>
</head>
<body>
    <h1>Job Status</h1>
    <p>The following response was returned from the API for Order <?php echo $orderid;?>:</p>

    <table>
    <tr>
        <td>Job Reference</td>
        <td><?php echo $JobStatus->sJobReference;?></td>
    </tr>
    <tr>
        <td>Source Language</td>
        <td><?php echo $JobStatus->sSourceLng;?></td>
    </tr>
    <tr>
        <td>Target Language</td>
        <td><?php echo $JobStatus->sTargetLng;?></td>
    </tr>
    <tr>
        <td>Speciality</td>
        <td><?php echo $JobStatus->sSpecialism;?></td>
    </tr>    
    <tr>
        <td>Word Count</td>
        <td><?php echo $JobStatus->iWOrdCount;?></td>
    </tr>
    <tr>
        <td>Translation ID</td>
        <td><?php echo $JobStatus->idTranslation;?></td>
    </tr>
    <tr>
        <td>Translation Filename</td>
        <td><?php echo $JobStatus->sOriginalFilename;?></td>
    </tr>
    <tr>
        <td>Job Submitted</td>
        <td><?php echo $JobStatus->dtJobSubmitted;?></td>
    </tr>     
    <tr>
        <td>Job deadline</td>
        <td><?php echo $JobStatus->dtJobDeadline;?></td>
    </tr>
    <tr>
        <td>Job Status</td>
        <td><?php echo $JobStatus->sStatus;?></td>
    </tr>         
    
    
    </table>    
    
    
</body>
</html>
