<?php

include "cTMAPI.php";
$cTMAPI = new cTMAPI('[EMAIL]','[APIKEYHERE]','https://services.translatemedia.com/API2sandbox.asmx?wsdl','https://services.translatemedia.com');

?>

<html>
<body>


    <h1>STREAM API Wrapper and demonstration code</h1>

    <p>This package contains a collection of stand alone demonstrations in the examples folder, and an API Wrapper class, cTMAPI.php.</p>
    <p>Demonstration calls to all of the cTMAPI calls are to be found in this index.php file.  Open the file up and uncomment the ones you wish to try.</p>
    <h2>Notes</h2>

    <ul>
        <li>In the demo code, where Order References, Document IDs, etc. are specified they WILL NOT WORK. You will need to generate your own using the processes described in the documentation.</li>
        <li>It is worth examining the data returned from the API calls with var_dump() to see the details of the data returned.  Again, consult the API documentation for details.</li>
        <li>You will need to request an API username and key before you can make any calls. This can be done here 
        https://www.tm-stream.com/2_0/DeveloperCentre/Registration.aspx</li>
    </ul>


    <?php



    if ($cTMAPI->isInitialised)
    {

        /*
        $langList=$cTMAPI->GetLanguagesList();
        foreach($langList->returndata->SOAPlanguage as $language)
            {
                echo $language->description;
                echo "<br />";
            }


         $languageName="Arabic (Lebanon)";
         $languageID=$cTMAPI->GetLanguageID($languageName)->returndata;
         echo $languageID;


         $languageRFC="en-us";
         $languageID=$cTMAPI->GetLanguageIdRfc5646($languageRFC)->returndata;
         echo $languageID;    


        $specList=$cTMAPI->GetSpecialitiesList();
        foreach($specList->returndata->SOAPspeciality as $speciality)
        {
            echo $speciality->description;
            echo "<br />";
        }



        $availableSpecList=$cTMAPI->GetAvailableSpecialities(35);
        if ($availableSpecList->success)
        {
            foreach($availableSpecList->returndata->SOAPspeciality as $speciality)
            {
                echo $speciality->description;
                echo "<br />";
            }
        }
        else
        {
            echo $availableSpecList->statusmessage;
        }



        $availableLangList=$cTMAPI->GetAvailableTargetLanguages(35,12);
        if ($availableLangList->success)
        {
            foreach($availableLangList->returndata->SOAPlanguage as $language)
            {
                echo $language->description;
                echo "<br />";
            }
        }
        else
        {
            echo $availableLangList->statusmessage;
        }






        $quotes=$cTMAPI->GetQuoteForPlainText (35, 16, array(40,41), 'This is a test text to try translating in to a foreign language.');
        if ($quotes->success)
        {
            $quotes=$quotes->returndata->SOAPquote;
            echo "<table>";
            foreach ($quotes as $quote)
                {
                echo "<tr>";
                    echo "<td>" . $quote->idQuote . "</td>";
                    echo "<td>" . $quote->dQuotePrice . "</td>";
                    echo "<td>" . $cTMAPI->parseType($quote->byType) . "</td>";
                    echo "<td>" . $quote->dtTargetCompletion . "</td>";
                    echo "<td>" . $quote->iMinutesElapsed . "</td>";
                    echo "<td>" . $quote->sCurrency . "</td>";
                echo "</tr>";
                }
            echo "</table>";    
        }




       $quotes=$cTMAPI->GetQuoteForDocument(35, 16, array(40,41), 'Documentation/Please read.txt',"Please Read.txt");
        if ($quotes->success)
        {
            $quotes=$quotes->returndata->SOAPquote;
            echo "<table>";
            foreach ($quotes as $quote)
                {
                echo "<tr>";
                    echo "<td>" . $quote->idQuote . "</td>";
                    echo "<td>" . $quote->dQuotePrice . "</td>";
                    echo "<td>" . $cTMAPI->parseType($quote->byType) . "</td>";
                    echo "<td>" . $quote->dtTargetCompletion . "</td>";
                    echo "<td>" . $quote->iMinutesElapsed . "</td>";
                    echo "<td>" . $quote->sCurrency . "</td>";
                echo "</tr>";
                }
            echo "</table>";    
        }




       $quotes=$cTMAPI->GetAdvancedQuoteForDocument(35, 16, array(40,41), 'Documentation/Please read.txt',"Please Read.txt", NO_AUTHENTICITY_CERTIFICATION, false); 
       if ($quotes->success)
        {
            $quotes=$quotes->returndata->SOAPquote;
            echo "<table>";
            foreach ($quotes as $quote)
                {            
                echo "<tr>";
                    echo "<td>" . $quote->idQuote . "</td>";
                    echo "<td>" . $quote->dQuotePrice . "</td>";
                    echo "<td>" . $cTMAPI->parseType($quote->byType) . "</td>";
                    echo "<td>" . $quote->dtTargetCompletion . "</td>";
                    echo "<td>" . $quote->iMinutesElapsed . "</td>";
                    echo "<td>" . $quote->sCurrency . "</td>";
                echo "</tr>";
                }
            echo "</table>";    
        }    



           $quotes=$cTMAPI->GetSimpleQuote(35, 16, array(40,41), 100, 92345); 
           var_dump($quotes);
       if ($quotes->success)
        {
            $quotes=$quotes->returndata->SOAPquote;
            echo "<table>";
            foreach ($quotes as $quote)
                {            
                echo "<tr>";
                    echo "<td>" . $quote->idQuote . "</td>";
                    echo "<td>" . $quote->dQuotePrice . "</td>";
                    echo "<td>" . $cTMAPI->parseType($quote->byType) . "</td>";
                    echo "<td>" . $quote->dtTargetCompletion . "</td>";
                    echo "<td>" . $quote->iMinutesElapsed . "</td>";
                    echo "<td>" . $quote->sCurrency . "</td>";
                echo "</tr>";
                }
            echo "</table>";    
        }



        $order=$cTMAPI->CreateOrder(119608); 
        if ($order->success)
        {
            echo "Order Reference : " . $order->returndata;
        }
        else
        {
            echo "Error : " . $order->returndata;
        }



        $order=$cTMAPI->CreateOrderAdvanced(119655); 
        if ($order->success)
        {
            echo "Order Reference : " . $order->returndata;
        }
        else
        {
            echo "Error : " . $order->returndata;
        }  



        $updatedetails=$cTMAPI->SaveBillingDetails('92097_TLeiK9kZpyoIdUG0d9dF8w!$£!$£', "Joe Pritchard", "Joe Pritchard");
        if ($updatedetails->success)
        {
            echo "Order Reference : " . $updatedetails->returndata;
        }
        else
        {
            echo "Error : " . $updatedetails->returndata;
        }    



        $jobstatus=$cTMAPI->TrackOrder('92097_TLeiK9kZpyoIdUG0d9dF8w!$£!$£');
        var_dump($jobstatus);




        $jobstatus=$cTMAPI->UploadMoreInfoDocument('92097_TLeiK9kZpyoIdUG0d9dF8w!$£!$£','Documentation/Please read.txt',"Please Read.txt");
        var_dump($jobstatus);



    $JobsStatus=$cTMAPI->TrackOrders("2015-12-01", "2015-12-30", true);
      var_dump($JobsStatus)  ;




      $document=$cTMAPI->RetrieveTranslatedDocument(98765);
      var_dump($document);

      */


    }

    ?>

    </body>
</html>